Subject: rhythmbox: crashes after a while or excessive file playback /w minor dataloss

From: shizo del sky <[email-masked]>
Date: Thu, 01 Jan 2015 14:45:50 +0100

Package: rhythmbox
Version: 3.1-1
Severity: normal

Dear Maintainer,

   * What led up to the situation?
        Imported a big collection of my music.
        Downloading podcasts in the background.
        Occasionally rhythmbox does not recognise some files and flags them
with a minus (-).
        Guess that means they are not readable or "defect" which they are not.
Tested with foobar on win/linux
        After long long playback rhythmbox seems to flag many files like that
and/or just crashes.
        Also if I excessively play different files after another it can be
forced.
        I lose podcasts (the files) randomly with these crashes and some of my
playlist that I did not save             earlier were lost, too
   * What exactly did you do (or not do) that was effective (or
     ineffective)?
        Waiting til gnome prompts that it doesn't respond and then force kill
it - restarting rhythmbox
   * What was the outcome of this action?
        After a restart it just worked fine but this gig repeats itself.
   * What outcome did you expect instead?
        That it would stop and not be permanent.

Regards and happy new year,
shi

-- System Information:
Debian Release: 8.0
  APT prefers testing-updates
  APT policy: (500, 'testing-updates'), (500, 'testing')
Architecture: amd64 (x86_64)
Foreign Architectures: i386

Kernel: Linux 3.16.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=de_DE.utf8, LC_CTYPE=de_DE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages rhythmbox depends on:
ii  dbus                            1.8.12-3
ii  gnome-icon-theme                3.12.0-1
ii  gstreamer1.0-plugins-base       1.4.4-2
ii  gstreamer1.0-plugins-good       1.4.4-2
ii  gstreamer1.0-x                  1.4.4-2
ii  libatk1.0-0                     2.14.0-1
ii  libc6                           2.19-13
ii  libcairo-gobject2               1.14.0-2.1
ii  libcairo2                       1.14.0-2.1
ii  libgdk-pixbuf2.0-0              2.31.1-2+b1
ii  libgirepository-1.0-1           1.42.0-2.2
ii  libglib2.0-0                    2.42.1-1
ii  libgstreamer-plugins-base1.0-0  1.4.4-2
ii  libgstreamer1.0-0               1.4.4-2
ii  libgtk-3-0                      3.14.5-1
ii  libgudev-1.0-0                  215-8
ii  libjavascriptcoregtk-3.0-0      2.4.7-3
ii  libjson-glib-1.0-0              1.0.2-1
ii  libnotify4                      0.7.6-2
ii  libpango-1.0-0                  1.36.8-3
ii  libpangocairo-1.0-0             1.36.8-3
ii  libpeas-1.0-0                   1.12.1-2
ii  librhythmbox-core8              3.1-1
ii  libsoup2.4-1                    2.48.0-1
ii  libtdb1                         1.3.1-1
ii  libtotem-plparser18             3.10.3-1
ii  libwebkitgtk-3.0-0              2.4.7-3
ii  libx11-6                        2:1.6.2-3
ii  libxml2                         2.9.1+dfsg1-4
ii  media-player-info               22-2
ii  rhythmbox-data                  3.1-1
ii  zlib1g                          1:1.2.8.dfsg-2+b1

Versions of packages rhythmbox recommends:
ii  avahi-daemon               0.6.31-4+b2
ii  gstreamer1.0-plugins-ugly  1.4.4-2
ii  gstreamer1.0-pulseaudio    1.4.4-2
ii  gvfs-backends              1.22.2-1
ii  notification-daemon        0.7.6-2
ii  rhythmbox-plugins          3.1-1
ii  yelp                       3.14.1-1

Versions of packages rhythmbox suggests:
pn  gnome-codec-install          <none>
ii  gnome-control-center         1:3.14.2-2
ii  gstreamer1.0-plugins-bad     1.4.4-2
ii  rhythmbox-plugin-cdrecorder  3.1-1

-- no debconf information